http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/connections/{connectionId}Updates the information for an existing connection. To remove information for any of the parameters, specify an empty string.
The ID of the global network.
The ID of the connection.
The ID of the link for the first device in the connection.
<p>A description of the connection.</p> <p>Length Constraints: Maximum length of 256 characters.</p>
The ID of the link for the second device in the connection.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/connections/{connectionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/connections/{connectionId}Updates the information for an existing connection. To remove information for any of the parameters, specify an empty string.
The ID of the global network.
The ID of the connection.
The ID of the link for the first device in the connection.
<p>A description of the connection.</p> <p>Length Constraints: Maximum length of 256 characters.</p>
The ID of the link for the second device in the connection.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/connections/{connectionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}